Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch Public Keys

This API endpoint allows you to retrieve the public keys associated with a registered credential ID. The fetched keys include a silent key for silent signing and a presence key for presence signing, enabling cryptographic operations specific to each signing option

API Description

API to fetch public keys

POST https://{{environment_url}}/api/v1/device/fetch-public-key

Headers

Name
Type
Description

Content-Type*

application/json

accept*

String

*/*

Authorization*

String

Bearer <Token>

Request Body

Name
Type
Description

credential_id*

String

registered credential id

API Response

Public Key Request Successful

The fetch public key request is successful and returns the public key

  • silent_key - base64 string of public key used for silent signing

  • presence_key - base64 string of public key used for presence signing

HTTP Status Code: 200

JSON Response

Integration Code Snippets

Last updated